  using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TeddyController : MonoBehaviour {

    private void OnTriggerEnter(Collider other)
    {
        if(other.gameObject.name == "Player")
        {
            Debug.Log("You walked over the teddy!");
            PubSubService<ItemCollected>.GetInstance().Publish(new ItemCollected(Items.Teddy, this.gameObject));
        }
    }
    
}
